
Redmine - Defect #1508

Engines site unavailable

2008-06-20 17:42 - Mark Hagers

Status: Closed Start date: 2008-06-20

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

Trying to install some plugins. The engines plug-in is needed, but the engines site http://rails-engines.org/ doesn't allow download of

the engines plug-in. It denies connections to the subversion server. The new release 2.1.0 seems to be available, but is only

compatible with Rails 2.1 and redmine is only compatible with 2.0.2. How to proceed?

History

#1 - 2008-06-20 17:50 - Mark Hagers

installing the 2.1.0 release of engines (which is available from svn) messes up the redmine installation it refuses to start with the following errors:

/Library/WebServer/redmine/vendor/rails/activesupport/lib/active_support/core_ext/module/aliasing.rb:31:in `alias_method': undefined method

`initialize_schema_migrations_table' for module `ActiveRecord::ConnectionAdapters::SchemaStatements' (NameError)

from /Library/WebServer/redmine/vendor/rails/activesupport/lib/active_support/core_ext/module/aliasing.rb:31:in `alias_method_chain'

from /Library/WebServer/redmine/vendor/plugins/rel_2.1.0/lib/engines/rails_extensions/migrations.rb:131:in `included'

from /Library/WebServer/redmine/vendor/plugins/rel_2.1.0/lib/engines/rails_extensions/migrations.rb:131:in `class_eval'

from /Library/WebServer/redmine/vendor/plugins/rel_2.1.0/lib/engines/rails_extensions/migrations.rb:131:in `included'

from /Library/WebServer/redmine/vendor/plugins/rel_2.1.0/lib/engines/rails_extensions/migrations.rb:155:in `include'

from /Library/WebServer/redmine/vendor/plugins/rel_2.1.0/lib/engines/rails_extensions/migrations.rb:155

from /System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/1.8/rubygems/custom_require.rb:27:in `gem_original_require'

from /System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/1.8/rubygems/custom_require.rb:27:in `require'

... 26 levels...

from /Library/WebServer/redmine/vendor/rails/activesupport/lib/active_support/dependencies.rb:496:in `require'

from /Library/WebServer/redmine/vendor/rails/railties/lib/commands/server.rb:39

from script/server:3:in `require'

from script/server:3

#2 - 2008-06-20 18:20 - Eric Davis

Use the 2.0 release of Engines.

#3 - 2008-06-23 09:54 - Mark Hagers

Sorry, maybe this was unclear: the original issue was that engines 2.0 is unavailable for download from the indicated url.

But maybe you can supply me with another url where it can be downloaded?

Thanks.

#4 - 2008-06-23 22:06 - Mateo Murphy

You should be able to

svn checkout http://svn.rails-engines.org/engines/tags/rel_2.0.0/ 

 Does that not work for you?

#5 - 2008-06-24 11:12 - Mark Hagers

Yes, that works, thanks a lot!

Perhaps it's a good idea to add this link to the installation instructions for the engines plugin, as the official engines site only points to the 2.1 release.

#6 - 2008-07-12 12:18 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

Current trunk now runs with Rails 2.1. Engine 2.1 plugin is added to trunk in r1654.
